//             ==========Quelques structures de stockage des paramètres========

function CreeNom_Num(Nom,Num){this.Nom=Nom;this.Num=Num; return this}

function CreeGreg(Nom,JourNom,JourNum,MoisNom,MoisNum,An)
{
this.Jour= new CreeNom_Num(JourNom,JourNum);
this.Mois= new CreeNom_Num(MoisNom,MoisNum);
this.Nom = Nom;
this.An  = An;
return this
}

function CreeVues(Glyphe,Francais,Maya,Texte,Dir)
{
if (Glyphe  !=-1)this.Glyphe   = Glyphe;
if (Francais!=-1)this.Francais = Francais;
if (Maya    !=-1)this.Maya     = Maya;
if (Texte   !=-1)this.Texte    = Texte;
if (Dir     !=-1)this.Dir      = Dir;
return this
}

function Cree2Prop(Un,_Un,Deux,_Deux)
{
this[Un]   = _Un;
this[Deux] = _Deux;
return this
}

function CreeItemsMaya()
{
this.Jour     = true;
this.Jour_    = new CreeVues(true , true , true , false, false);
this.Guide    = true;
this.Guide_   = new CreeVues(true , true , true , false, false);
this.Onde     = true;
this.Onde_    = new CreeVues(true , false, false, false, false);
this.MoisSol  = true;
this.MoisSol_ = new CreeVues(true ,  -1  , true , true ,  -1  );
this.AnSol    = true;
this.AnSol_   = new CreeVues(true , false, false,  -1  , false);
this.AnLun    = true;
this.AnLun_   = new CreeVues(true , false, false,  -1  , false);
this.Harmonie = true;
this.Harmonie_= new Cree2Prop("Texte",true,"Oper",true);
this.Chateau  = true;
this.Chateau_ = new Cree2Prop("Texte",true,"Onde",true);
this.Saison   = true;
this.Saison_  = new Cree2Prop("Texte",true,"Etape",true);
return this
}

function CreeItemDate(Gregorien,Lunaire,Maya)
{
this.Greg      = new CreeGreg("Date Gr&eacute;gorienne", 
false,true,false,true,true);
this.Lune      = new CreeGreg("Date Lunaire",true,true,true,false,true);
this.MayaIt     = new CreeItemsMaya();
this.Gregorien = Gregorien;
this.Lunaire   = Lunaire;
this.Maya      = Maya;
return this
}